-
- abort-payment-on-terminal
- capture-payment
- filter-payments
- find-payment
- initiate-payment-flow
- list-activity-logs
- list-payment-activities
- list-payments
- list-payments-by-contact
- list-payments-by-terminal
- refund-payment
- request-payment
- resume-payment-on-terminal
- retrieve-refund-performance
- retrieve-sales-performance
- reverse-payment
- start-payment-on-terminal
- void-payment
Retrieve Checkout
checkout_id
string
Required. The unique identifier of the checkout to look up. This is the ID that was returned when you created the checkout using the start-checkout endpoint.
| Attribute | Description |
|---|---|
checkout_idstring
|
Always present. The unique identifier for the checkout |
amountstring
|
Always present. The payment amount in the smallest currency unit (e.g. cents). |
currencystring
|
Always present. The currency code for the payment amount |
installation_idstring
|
Always present. The unique identifier of the merchant installation associated with this checkout |
customer_idstring
|
Nullable. The unique identifier of the customer making the payment |
customer_emailstring
|
Nullable. The email address of the customer |
customer_mobilestring
|
Nullable. The mobile phone number of the customer |
customer_namestring
|
Nullable. The name of the customer |
redirect_urlstring
|
Always present. The URL where the customer will be redirected to make payment |
payment_idstring
|
Nullable. The unique identifier of the payment associated with this checkout. When nil, the payment has not been paid yet. |
NOT_FOUND
This error occurs when no checkout with the provided ID exists in your merchant account. Double check that you're using the correct checkout ID.
UNHANDLED_ERROR
This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.
INVALID_ARGUMENTS
This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.
BAD_VERSION
This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.
curl "https://api.reservepay.com/merchants/retrieve-checkout" \
-X POST
-H "Content-Type: application/json" \
-H "Accept: application/json" \
-H "Authorization: Bearer $(RESERVEPAY_API_KEY)" \
-d '{
"checkout_id": "cho_01kw8nfjtv011ydzdw2k7h4mrz"
}'
